Beefy Boxes and Bandwidth Generously Provided by pair Networks
Just another Perl shrine
 
PerlMonks  

Re: DBI connect is failing with Perl v5.16.3

by marto (Chancellor)
on Apr 24, 2013 at 10:38 UTC ( #1030345=note: print w/ replies, xml ) Need Help??


in reply to DBI connect is failing with Perl v5.16.3

What you don't mention is that you did a force install of this module, because a prerequisite (Net::Demon) isn't installed. After much talk in the CB to draw these facts (and others) from you, it transpires that you later did a force install of Net::Demon also, based upon a false understanding of the test results. If you're going force install modules and their prerequisites without bothering to find out if the failures are pertinent then you're going to continue to hit problems like this.

I've repeatedly told you in the chatterbox, but once more in case you have problems understanding. When you want to install a module, check the open bugs, there may be some issues/patches you need to address/apply depending on your platform/perl version. If tests fail find out why they fail, perhaps there's something you need to do to make this module work within your environment. It's a waste of your time, and everyone else’s, for you to keep asking the same questions over and over while ignoring the answers. Please read and understand How do I post a question effectively?.


Comment on Re: DBI connect is failing with Perl v5.16.3
Re^2: DBI connect is failing with Perl v5.16.3
by prashantktyagi (Scribe) on Apr 24, 2013 at 10:52 UTC

    Though I explained everything but it seems to me with arguments we can't solve any problems. I have read How do I post a question effectively? long back and no post is complete in first time...

    If i knew the problem at first place why would I have post it here...online communities are here to contribute to society not for sarcasm.. I posted error message so if someone had faced the issue before , i don't have waste much time.
    Thanks,

      You keep mentioning sarcasm, I was never sarcastic. Perhaps you're confused as to the meaning of the word.

      After much discussion it turned out that you were running Strawberry Perl, I stated that your post would benefit from knowing this, as others had suggested installing DBI and DBD::ODBC, which ship with Strawberry as standard. You insisted (twice) that you had mentioned running Strawberry in the post, even though you hadn't. Later you updated the post to include this information. The post does not state at any point that you forced module installations, specifically the ones required which throw the only error you show. Your "Though I explained everything" quote is baseless. You've not given anyone enough information to help.

      "i don't have waste much time."

      You've wasted plenty of time today ignoring repeat advice on how to debug this issue.

Log In?
Username:
Password:

What's my password?
Create A New User
Node Status?
node history
Node Type: note [id://1030345]
help
Chatterbox?
and the web crawler heard nothing...

How do I use this? | Other CB clients
Other Users?
Others wandering the Monastery: (13)
As of 2014-09-02 12:43 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?

    My favorite cookbook is:










    Results (22 votes), past polls